首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
jeffcott
V2EX  ›  问与答

homebrew 怎么安装 php5.6 和 7.1 之外的版本呢?

  •  
  •   jeffcott · 2018-06-12 09:16:47 +08:00 · 1708 次点击
    这是一个创建于 591 天前的主题,其中的信息可能已经有所发展或是发生改变。

    homebrew/php 弃用之后,用 homebrew 还能安装其他版本的 php 吗?

    5 回复  |  直到 2018-06-12 10:02:59 +08:00
    littleylv
        1
    littleylv   2018-06-12 09:19:20 +08:00
    你不看官方说明的吗?
    brew install php 是 7.2
    其他就是 brew install [email protected] / [email protected] / [email protected]
    jeffcott
        2
    jeffcott   2018-06-12 09:25:33 +08:00
    @littleylv 那我要是想安装 php5.5 的话,就没办法了吗
    littleylv
        3
    littleylv   2018-06-12 09:37:07 +08:00
    @jeffcott #2
    brew search php 一下
    他们早抛弃 5.5 了,都 8102 年了
    jeffcott
        4
    jeffcott   2018-06-12 09:48:12 +08:00
    @littleylv 那只能重构一下项目了,现在手上的这份代码,5.6 都跑不成;
    rmb1222
        5
    rmb1222   2018-06-12 10:02:59 +08:00 via iPhone
    如果想跑旧版 php 的话可以试试 docker 镜像, 不过旧版 php 有几个漏洞, 楼主小心点
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   768 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 28ms · UTC 19:44 · PVG 03:44 · LAX 11:44 · JFK 14:44
    ♥ Do have faith in what you're doing.